<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Activation Exam</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Tugas Akhir</h5>
                                        <span class="h2 font-weight-bold mb-0">Aktifasi </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/activation/histori/tugasAkhir}" class="btn btn-success btn-sm"><i class="fas fa-edit"></i> Histori aktivasi</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" th:action="@{/activation/tugas}">
                            <div class="row">
                                <div class="col-md-4 col-xs-12">
                                    <div class="form-group">
                                        <center><label><b>NIM</b></label></center>
                                        <input type="text" th:value="${selectNim}" class="form-control" name="nim">
                                    </div>
                                </div>
                                <div class="col-md-4 col-xs-12">
                                    <div class="form-group">
                                        <center><label><b>Tahun Akademik</b></label></center>
                                        <select name="tahunAkademik" required
                                                class="form-control js-example-placeholder-single" style="width: 100%!important;">
                                            <option value=""></option>
                                            <option th:each="tahun : ${tahun}" th:selected="(${selectTahun} == *{tahun})"
                                                    th:value="${tahun.id}" th:text="${tahun.namaTahunAkademik}"></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4 col-xs-12">
                                    <div class="form-group">
                                        <center><label><b>Fitur</b></label></center>
                                        <select name="status" required
                                                class="form-control js-example-placeholder-single" style="width: 100%!important;">
                                            <option value=""></option>
                                            <option th:selected="(${status} == 'SEMPRO')" value="SEMPRO">SEMPRO</option>
                                            <option th:selected="(${status} == 'SKRIPSI')" value="SKRIPSI">SKRIPSI</option>
                                            <option th:selected="(${status} == 'WISUDA')" value="WISUDA">WISUDA</option>

                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info">Aktifasi</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="card-body" th:if="${selectNim != null}">
                        <div class="card shadow">
                            <div class="card-header border-1">
                                <h3 class="mb-0">Data <small th:text="${'  ' + selectTahun.namaTahunAkademik}"></small></h3>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-3 col-xs-12 text-center">
                                        <h5>Nama</h5>
                                        <h3 class="mb-0" th:text="${mhs.nama}">adsf</h3>
                                    </div>
                                    <div class="col-md-3 col-xs-12 text-center">
                                        <h5>Prodi</h5>
                                        <h3 class="mb-0" th:text="${mhs.idProdi.namaProdi}">adsf</h3>
                                    </div>
                                    <div class="col-md-3 col-xs-12 text-center">
                                        <h5>Program</h5>
                                        <h3 class="mb-0" th:text="${mhs.idProgram.namaProgram}">adsf</h3>
                                    </div>
                                    <div class="col-md-3 col-xs-12 text-center">
                                        <h5>Angakatan</h5>
                                        <h3 class="mb-0" th:text="${mhs.angkatan}">adsf</h3>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>